## com.sun.jersey.core.util
Annotation Type Priority

    @Target(value=TYPE)
    @Retention(value=RUNTIME)
    public @interface Priority

Priority annotation can be applied to provider classes to indicate in what order the providers should be polled. Concrete usage must be defined by individual provider specification. Introduced to help control component factory ordering.

Author:
  Jakub Podlesak (jakub.podlesak at oracle.com)

Required Element Summary
`int` | `value` The priority value.

Element Detail

### value

    public abstract int value

  The priority value.

  Returns:
    priority value to be used for annotated element.

Copyright © 2017 Oracle Corporation. All Rights Reserved.